#include <stdio.h>
#include <math.h>

#define N 100
#define PI 3.1415927

double g(double x, double xa[], double ya[], int n)
{
	int i;
	double h;

	h=(xa[n-1]-xa[0])/(n-1);

	i=(int)((x-xa[0])/h);
	
	
	return ya[i]+(ya[i+1]-ya[i])/(xa[i+1]-xa[i])*(x-xa[i]);
		
}


int main()
{
	int i;
	double xa[N];
	double ya[N];
	double x,y,h;

	h=2*PI/(N-1);

	for(i=0;i<N;i++)
	{
		xa[i]=i*h;
		ya[i]=sin(xa[i]);
	}


	x=3.2;
	y=g(x,xa,ya,N);
	
	printf("y(%lf)=%lf  (%lf)\n",x,y,sin(x));

	return 0;
}
